# HG changeset patch
# User Piotr Sikora <piotr@cloudflare.com>
# Date 1384163987 28800
#      Mon Nov 11 01:59:47 2013 -0800
# Node ID 9b3bbaddb1ef7bb52bae1e8967ad13b017ea00c4
# Parent  f817f9d1cded8316dc804b50527dfab19d928834
Configure: call "make distclean" for libatomic.

Signed-off-by: Piotr Sikora <piotr@cloudflare.com>

diff -r f817f9d1cded -r 9b3bbaddb1ef auto/lib/libatomic/make
--- a/auto/lib/libatomic/make	Mon Nov 04 17:00:25 2013 -0800
+++ b/auto/lib/libatomic/make	Mon Nov 11 01:59:47 2013 -0800
@@ -9,6 +9,8 @@
 	cd $NGX_LIBATOMIC && \$(MAKE)
 
 $NGX_LIBATOMIC/Makefile:	$NGX_MAKEFILE
-	cd $NGX_LIBATOMIC && ./configure
+	cd $NGX_LIBATOMIC \\
+	&& if [ -f Makefile ]; then \$(MAKE) distclean; fi \\
+	&& ./configure
 
 END
